# $Revision: 1.7 $, $Date: 2007-12-27 14:55:14 $
Summary:	KRPMBuilder makes the building of spec files and RPM packages easy
Summary(pl.UTF-8):	KRPMBuilder - narzędzie ułatwiające tworzenie plików spec i pakietów RPM
Name:		krpmbuilder
Version:	1.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/krpmbuilder/%{name}-%{version}.tar.gz
# Source0-md5:	99b84803171d64f1347617b5facd3851
URL:		http://krpmbuilder.sourceforge.net/
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRequires:	libpng-devel
Buildrequires:	qt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KRPMBuilder is a KDE application that makes the building of spec files
and RPM packages easy. After editing the spec-file in an intuitive,
KDE-based GUI, you can execute RPM inside KRPMBuilder and control the
progress of the package build process.

%description -l pl.UTF-8
KRPMBuilder to aplikacja KDE ułatwiająca tworzenie plików spec i
pakietów RPM. Po edycji pliku spec w intuicyjnym, opartym o KDE
interfejsie graficznym, można uruchomić RPM-a z poziomu KRPMBuildera i
kontrolować postęp procesu budowania pakietu.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub admin
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	appdir=%{_desktopdir} \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/locolor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/*/*x*/apps/%{name}.png
%{_datadir}/apps/krpmbuilder

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: krpmbuilder.spec,v $
Revision 1.7  2007-12-27 14:55:14  glen
- remove locolor icons

Revision 1.6  2007-02-13 06:46:49  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.4  2006/05/11 16:50:06  qboosh
- pl

Revision 1.3  2006/05/09 18:32:42  glen
- just kdelibs-devel without version

Revision 1.2  2006/05/09 18:32:10  glen
- missing dirs
- fix build on amd64
- use make var instead of moving files

Revision 1.1  2006/05/09 09:03:41  spider
- init
- NFY
